net.snowflake.client.jdbcapi

## Class OpenGroupCLIFuncIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest
    - - net.snowflake.client.jdbcapi.OpenGroupCLIFuncIT

    public class OpenGroupCLIFuncIT
    extends BaseJDBCTest

### Constructor Summary

Constructors
Constructor and Description
`OpenGroupCLIFuncIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testDateTimeFunction()`
`void` `testFunction(Connection connection, String sql, String expected)`
`void` `testNumericFunctions()`
`void` `testStringFunction()`
`void` `testSystemFunctions()`

### Methods inherited from class net.snowflake.client.jdbcapi.BaseJDBCTest

`compareTwoLists, fetchColumnInResultSet, fetchResultSet, getConnection, getConnection, getInfoViaSQLCmd, getSFProjectRootString, getSizeOfResultSet, loadConfig`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection, setUp, tearDown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenGroupCLIFuncIT

    public OpenGroupCLIFuncIT()

### Method Detail

#### testNumericFunctions

    public void testNumericFunctions()
                              throws SQLException

Throws:
  `SQLException`

#### testStringFunction

    public void testStringFunction()
                            throws SQLException

Throws:
  `SQLException`

#### testDateTimeFunction

    public void testDateTimeFunction()
                              throws SQLException

Throws:
  `SQLException`

#### testSystemFunctions

    public void testSystemFunctions()
                             throws SQLException

Throws:
  `SQLException`

#### testFunction

    public void testFunction(Connection connection,
                             String sql,
                             String expected)
                      throws SQLException

Throws:
  `SQLException`